scim::Slot Class Referenceabstract
SignalSlot

Base class for slots that can connect to scim::Signals. More...

`#include <scim_slot.h>`

## Protected Member Functions

| Slot ()
| Constructor.
virtual | ~Slot ()=0
| Destructor.
Protected Member Functions inherited from scim::ReferencedObject
| ReferencedObject ()
| Constructor.
virtual | ~ReferencedObject ()=0
| Destructor.
void | set_referenced (bool reference)

## Additional Inherited Members

Public Member Functions inherited from scim::ReferencedObject
bool | is_referenced () const
void | ref ()
| Increase an object's reference count by one.
void | unref ()

## Detailed Description

Base class for slots that can connect to scim::Signals.

## Constructor & Destructor Documentation

## Slot()

scim::Slot::Slot | ( |  | ) |

protected

Constructor.

## ~Slot()

virtual scim::Slot::~Slot | ( |  | ) |

protected pure virtual

Destructor.

The documentation for this class was generated from the following file:

- scim_slot.h